View Issue Details

IDProjectCategoryView StatusLast Update
0001738SymmetricDSImprovementpublic2014-07-01 20:56
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001738: Introduce a new columntransform type that returns both new and old data. use it for the copy transform
DescriptionIntroduce a new columntransform type that returns both new and old data. use it for the copy transform.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 257ffdc1

2014-05-30 10:11:58

chenson

Details Diff
0001738: Introduce a new columntransform type that returns both new and old data. use it for the copy transform
0001738
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ColumnsToRowsKeyColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ColumnsToRowsValueColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/CopyColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/CopyIfChangedColumnTransform.java Diff File
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ISingleNewAndOldValueColumnTransform.java Diff File
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/NewAndOldValue.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/TransformedData.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File

SymmetricDS: master 6cad0eaa

2014-06-04 14:41:57

chenson

Details Diff
0001738: Introduce a new columntransform type that returns both new and old data. use it for the copy transform
0001738
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/TransformedData.java Diff File

Issue History

Date Modified Username Field Change
2014-05-30 09:58 chenson New Issue
2014-05-30 09:58 chenson Status new => assigned
2014-05-30 09:58 chenson Assigned To => chenson
2014-05-30 10:19 chenson Status assigned => resolved
2014-05-30 10:19 chenson Fixed in Version => 3.5.23
2014-05-30 10:19 chenson Resolution open => fixed
2014-05-30 11:00 Changeset attached => SymmetricDS 3.5 r8330
2014-05-30 11:00 Changeset attached => SymmetricDS trunk r8331
2014-06-04 15:00 Changeset attached => SymmetricDS trunk r8351
2014-06-04 15:00 Changeset attached => SymmetricDS 3.5 r8352
2014-06-04 15:00 Changeset attached => SymmetricDS 3.5 r8353
2014-06-16 20:24 chenson Fixed in Version 3.5.23 => 3.6.0
2014-06-16 20:27 chenson Status resolved => closed
2014-07-01 20:56 chenson Target Version 3.5.23 => 3.6.0
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 6cad0eaa
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 257ffdc1